Skip to main content
GET
/
v2
/
kalshi
/
trades
Get Kalshi Trades
curl --request GET \
  --url https://api.predexon.com/v2/kalshi/trades \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.predexon.com/v2/kalshi/trades"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.predexon.com/v2/kalshi/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "trades": [
    {
      "trade_id": "<string>",
      "ticker": "<string>",
      "count": 123,
      "yes_price": 123,
      "no_price": 123,
      "created_time": 123
    }
  ],
  "pagination": {
    "limit": 123,
    "count": 123,
    "has_more": true,
    "pagination_key": "<string>"
  }
}
{
"error": "<string>",
"message": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"error": "<string>",
"message": "<string>"
}
Fetch historical trade data from Kalshi markets. Requires at least one of ticker or event_ticker.
Free & Unlimited. This endpoint does not count toward your monthly usage limits on any plan.
ConstraintValue
limit1–500 (default 100)

Authorizations

x-api-key
string
header
required

Query Parameters

ticker
string | null

Filter by market ticker

event_ticker
string | null

Filter by event ticker (prefix match)

taker_side
enum<string> | null

Filter by taker side: yes or no Kalshi taker side enum.

Available options:
yes,
no
start_time
integer | null

Unix timestamp (seconds) for start

end_time
integer | null

Unix timestamp (seconds) for end

min_count
integer | null

Minimum contract count

Required range: x >= 1
limit
integer
default:100

Number of trades to return

Required range: 1 <= x <= 500
order
enum<string>
default:desc

Sort order: asc or desc

Available options:
asc,
desc
pagination_key
string | null

Cursor for pagination

Response

Successful Response

Kalshi trades endpoint response.

trades
KalshiTrade · object[]
required
pagination
CursorPagination · object
required

Cursor-based pagination for endpoints that don't support offset.